//
// Uhr mit DS1307 Real Time Clock
//

// SDA pin is Analog4
// SCL pin is Analog5

#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

#include <Wire.h>
// written by  mattt on the Arduino forum and modified by D. Sjunnesson
#include <DS1307.h>

void setup()
{
  Serial.begin(9600);

  RTC.stop();
/*
  RTC.set(DS1307_SEC,00);  //Sekunden setzen
  RTC.set(DS1307_MIN,48); //Minuten setzen
  RTC.set(DS1307_HR,10);  // Stunden setzen
  RTC.set(DS1307_DOW,7);  // Tag der Woche setzen
  RTC.set(DS1307_DATE,6);// Datum Tag setzen
  RTC.set(DS1307_MTH,11);  // Datum Monat setzen
  RTC.set(DS1307_YR,16);  // Datum Jahr
*/
  RTC.start();
}

void loop()
{
  // Daten vom Uhrenbaustein lesen
  // und Ausgabe über seriellen Port
  //Uhr lesen und Update aller Werte
  Serial.print(RTC.get(DS1307_HR,true)); 
  Serial.print(":");
  Serial.print(RTC.get(DS1307_MIN,false));
  Serial.print(":");
  Serial.print(RTC.get(DS1307_SEC,false));
  Serial.print("      ");                 
  Serial.print(RTC.get(DS1307_DATE,false));
  Serial.print("/");
  Serial.print(RTC.get(DS1307_MTH,false));
  Serial.print("/");
  Serial.print(RTC.get(DS1307_YR,false)); 
  Serial.println();
  // warten
  delay(1000);
}
