//
// Ansteuerung LCD parallel, 4-Bit-Modus

#include <LiquidCrystal.h>

//lcd (rs, rw, enable, D4, D5, D6, D7)
LiquidCrystal lcd(8, 9, 10, 2, 3, 4, 5);

int LDRPin=0;

void setup()
{
  // LCD Setup: Anzahl Zeichen, Anzahl Zeilen 
  lcd.begin(20, 4);
  // Ausgabe Text
  lcd.print("Sensoren Arduino...");
  delay(1000);
  // Display löschen
  lcd.clear();
}

void loop()
{
  // Analogwert einlesen
  int valLDR = analogRead(LDRPin);
  // Cursor setzen setCursor(Spalte, Zeile)
  // 1. Zeichen, 1 Zeile
  lcd.setCursor(0, 0);
  lcd.print("Lichtsensor:");
  // 1. Zeichen, 2. Zeile
  lcd.setCursor(0, 1);
  lcd.print(valLDR);
  delay(500);
}

