//
// IR Control
// Datei: tb_ir_control_test.ino
// Datum: 19.6.16
//
// Status: OK
//
// Werte:
// 2: FF18E7

#include <IRremote.h>

// Pin IR-Receiver
int RecPin = 11;

// LED Pin
int LEDPin = 8;

IRrecv irrecv(RecPin);

decode_results results;

void setup()
{
  // Ausgang für LED
  pinMode(LEDPin, OUTPUT);
  digitalWrite(LEDPin, LOW);
  // serielle Schnittstelle starten
  Serial.begin(9600);
  // IR Empfänger starten
  irrecv.enableIRIn();
  // Start Receiver
  Serial.println("IR-Reiverver...");
}

void loop() 
{
  if (irrecv.decode(&results)) 
  {
    switch(results.value) 
    {
      // Taste 2, Code FF18E7
      case 0xFF18E7:
      Serial.println("Taste 2");
      // LED ansteuern
      digitalWrite(LEDPin, !digitalRead(LEDPin));
      break;
     }
    // Ausgabe empfangene Werte
    Serial.println(results.value, HEX);
    }
    irrecv.resume();
  delay(100);
}


