//
// Hall-Sensor A3144 - Überwachungskontakt
//


// Eingangsignal des Hall-Sensors
int sensorPin = 3;
// Ausgang der Status-LED
int ledPin =  7;  

// Status
int hallState = 0;

void setup()
{
  // Eingang Hall-Sensor
  pinMode(sensorPin, INPUT);
  // Ausgang LED
  pinMode(ledPin, OUTPUT);
}

void loop()
{
  // Status des Sensors einlesen
  hallState = digitalRead(sensorPin);
  
  // LOW = Magnet in der Nähe des Sensors
  // HIGH = Magnet wurde entfernt

  if (hallState == LOW)
  {     
    // LED ein  
    digitalWrite(ledPin, HIGH);  
  } 
  else
  {
    // LED aus
    digitalWrite(ledPin, LOW); 
  }
}
