//
// Lärmmesser mit Loudness Sensor
//

int valLaut;
int MikroPin=0;
int LEDPinRot=4;
int LEDPinOrange=5;
int LEDPinGelb=6;
int LEDPinGruen=7;

// Schwellenwerte
int SchwelleRot=300;
int SchwelleOrange=200;
int SchwelleGelb=100;
int SchwelleGruen=50;


void setup()
{
  // Serielle Schnittstelle
  Serial.begin(9600);
  // Ausgänge für LED
  pinMode(LEDPinRot, OUTPUT);
  pinMode(LEDPinOrange, OUTPUT);
  pinMode(LEDPinGruen, OUTPUT);
  pinMode(LEDPinGelb, OUTPUT);
  Serial.println("Lärmmesser...");
  delay(500);
}

void loop()
{
  // Lautstärke-Wert einlesen
  valLaut=analogRead(MikroPin);

  // Ausgabe auf serielle Schnittstelle
  Serial.print("Pegel: ");
  Serial.println(valLaut);

  // LED für Lautstärke-Schwellen
  // LED Grün
  if (valLaut > SchwelleGruen)
  {
    digitalWrite(LEDPinGruen, HIGH);
   }
   else
   {
    digitalWrite(LEDPinGruen, LOW);
   }

   // LED Gelb
   if (valLaut > SchwelleGelb)
   {
    digitalWrite(LEDPinGelb, HIGH);
   }
   else
   {
    digitalWrite(LEDPinGelb, LOW);
   }

   // LED Orange
   if (valLaut > SchwelleOrange)
   {
    digitalWrite(LEDPinOrange, HIGH);
   }
   else
   {
    digitalWrite(LEDPinOrange, LOW);
   }
   
   // LED Rot
   if (valLaut > SchwelleRot)
   {
    digitalWrite(LEDPinRot, HIGH);
   }
   else
   {
    digitalWrite(LEDPinRot, LOW);
   }

  // Verzögerung
  delay(200);
}
