//
// RGB Colors
// Datei: buch_sensor_kap_rgb.ino
// Datum: 06.08.16
// Board: Uno

// Status: OK


int redPin = 9;
int greenPin = 10;
int bluePin = 11;

void setup()
{
  // Pins als Ausgänge setzen
  pinMode(redPin, OUTPUT);
  pinMode(greenPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
}

void loop()
{
  // gelb
  setColor(250, 105, 0);
  delay(1000);
  
  // orange
  setColor(250, 40, 0);
  delay(1000);
  
  // rot
  setColor(255, 0, 0);
  delay(1000);
  
  // blau
  setColor(10, 10, 255);
  delay(1000);
  
  // pink
  setColor(255, 0, 100);
  delay(1000);
  
  // violett
  setColor(200, 0, 255);
  delay(1000);
  
  // grün
  setColor(0, 255, 0);
  delay(1000);

  // weiss
  setColor(255, 255, 255);
  delay(1000);
}

void setColor(int red, int green, int blue)
{
  // RGB-Werte ausgeben
  analogWrite(redPin, 255-red);
  analogWrite(greenPin, 255-green);
  analogWrite(bluePin, 255-blue);
}
