//
// Sensor-Board im Low-Power-Betrieb mit Jeelib
//

#include <JeeLib.h>

ISR(WDT_vect) { Sleepy::watchdogEvent(); }

int valSensor;
int SensorPin=0;
int LEDPin=6;

void setup()
{
  // LED-Ausgang setzen
  pinMode(LEDPin, OUTPUT);
}

void loop() 
{
  // Analogwert einlesen
  valSensor = analogRead(SensorPin);
  
  // Sensorwert weiterverarbeiten
  // ...
  // Anzeige Messvorgang
  digitalWrite(LEDPin, HIGH);
  Sleepy::loseSomeTime(100);
  digitalWrite(LEDPin,LOW);
  
  // Sleep-Modus für 10 Sekunden
  Sleepy::loseSomeTime(10000);
}
