//
// Tilt - RPI-1031
// (basierend auf dem Beispiel von Sparkfun)

int PinS1 = 2;
int PinS2 = 3;

void setup()
{
  // Pins als Eingänge
  pinMode(PinS1, INPUT);
  pinMode(PinS2, INPUT);
  // Serielle Schnittstelle
  Serial.begin(9600);
  Serial.println("Tilt Start...");
}

void loop()
{
  int tiltpos = getTiltPosition();
  Serial.print("Tilt Wert: ");
  Serial.println(tiltpos);
  delay(200);
}

int getTiltPosition()
{
   int s1 = digitalRead(PinS1);
   int s2 = digitalRead(PinS2);
   // OR-Verknüpfung 
   // S1: Wert 0 oder 2, S2: 1 oder 0
   int wert = (s1 << 1) | s2;
   return wert;
}


