//
// Strommessung (0-5 A)
// Datei: buch_sensor_kap8_messung_strom.ino


// Analogwert    
int valI = 0;
float valIAmpere;
// Analogeingang A0
int IPin = 0;   

void setup() 
{
  // Serielle Schnittstelle
  Serial.begin(9600); 
}

void loop() 
{
  // Spannungswert einlesen
  // 0 bis 5 A entspricht 0 bis 5 V 
  // 0 bis 5 V entspricht 0 bis 1023
  valI = analogRead(IPin);
  // Wert in Strom umrechnen
  valIAmpere = (5* valI)/1023.0;
  // Ausgabe des Werts auf der seriellen Schnittstelle 
  Serial.print("Strom : ");
  Serial.print(valIAmpere);
  Serial.println(" A");
  delay(1000);       
}

