//
// Strommessung mit ACS712
//

// Analog-Eingang
int analogPin = A0;
 // 185 mV pro Ampere
int mVproA = 185;
int valMess= 0;
int Offset = 2500; 
float valV = 0;
float valA = 0;

void setup()
{ 
 Serial.begin(9600);
}

void loop()
{
  // Messung Signal
  valMess = analogRead(analogPin);
  // Wert in mV
  valV = (valMess / 1024.0) * 5000;
  // Wert in Ampere
  valA = ((valV - Offset) / mVproA);
  // Ausgabe Messwerte
  Serial.print("Messwert:" );
  Serial.print(valMess);
  Serial.print(" / mV:");
  Serial.print(valV,3);
  Serial.print(" / A:");
  Serial.println(valA,3);
  // 3 Sekunden warten bis zur nächsten Messung
  delay(3000); 
}


